#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - preinstall libfmt10-dev
#
# Copyright (c) 2001-2023 the eisfair team, team(at)eisfar(dot)org
#
# Creation   : 2023-10-15 dv
# Last Update: 2023-10-22 01:27:03 dv
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/eislib


#-----------------------------------------------------------------------------
# check if other libfmt development files are installed
#-----------------------------------------------------------------------------
check_for_exclusive_installation()
{
    local packages=$(eisman query --installed --fields=name libfmt[0-9]+-dev | \
        grep name | sed 's/name       //g')
    for package in ${packages}
    do
        if [ "${package}" != "libfmt10-dev" ]
        then
            echo
            mecho --error "It is not possible to install libfmt10-dev in parallel to"
            mecho --error "${package} that is currently installed on your system."
            echo
            return 1
        fi
    done

    return 0
}


#-----------------------------------------------------------------------------
# main program
#-----------------------------------------------------------------------------
main()
{
    if ! check_for_exclusive_installation
    then
        anykey
        exit 1
    fi

    exit 0
}

main "${@}"
